Package: org.codehaus.groovy.transform.stc

## [Java] Enum StaticTypesMarker

- org.codehaus.groovy.transform.stc.StaticTypesMarker

- This enumeration is used by the AST transformations which rely on static type checking, either to store or to retrieve information from AST node metadata. The values of this enumeration are used as metadata keys.

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `CLOSURE_ARGUMENTS` |
    `DECLARATION_INFERRED_TYPE` |
    `DELEGATION_METADATA` |
    `DIRECT_METHOD_CALL_TARGET` |
    `DYNAMIC_RESOLUTION` |
    `IMPLICIT_RECEIVER` |
    `INFERRED_RETURN_TYPE` |
    `INFERRED_TYPE` |
    `INITIAL_EXPRESSION` |
    `PV_FIELDS_ACCESS` |
    `PV_METHODS_ACCESS` |
    `READONLY_PROPERTY` |

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Enum` | `name, equals, toString, hashCode, compareTo, compareTo, valueOf, getDeclaringClass, ordinal, wait, wait, wait, getClass, notify, notifyAll`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Enum Constant Detail

    - #### StaticTypesMarker CLOSURE_ARGUMENTS

    - #### StaticTypesMarker DECLARATION_INFERRED_TYPE

    - #### StaticTypesMarker DELEGATION_METADATA

    - #### StaticTypesMarker DIRECT_METHOD_CALL_TARGET

    - #### StaticTypesMarker DYNAMIC_RESOLUTION

    - #### StaticTypesMarker IMPLICIT_RECEIVER

    - #### StaticTypesMarker INFERRED_RETURN_TYPE

    - #### StaticTypesMarker INFERRED_TYPE

    - #### StaticTypesMarker INITIAL_EXPRESSION

    - #### StaticTypesMarker PV_FIELDS_ACCESS

    - #### StaticTypesMarker PV_METHODS_ACCESS

    - #### StaticTypesMarker READONLY_PROPERTY